# Changelog

<a name="1.0.0"></a>
## [1.0.0](https://gitlab.com/RadianDevCore/tools/git-dct/compare/0.1.0...1.0.0) (2025-01-05)

### ✨ Features

- **branchs:** create 'br', 'brl', 'ch' and 'sw' Git aliases ([690a3dd](https://gitlab.com/RadianDevCore/tools/git-dct/commit/690a3ddd013f11b454a612de2cb4bdd69c01ace1))
- **cli, readme, tests:** refactor into '--enable' and '--disable' ([d4a1f08](https://gitlab.com/RadianDevCore/tools/git-dct/commit/d4a1f08ff96b07d860108d8f3fe32bcdfd0e8dc6))
- **commit:** create 'c', 'ca', 'cae', 'cp' and 'cs' Git aliases ([2004b4a](https://gitlab.com/RadianDevCore/tools/git-dct/commit/2004b4a11fb6e3006592cc8dbc045e0d9e4f8446))
- **diff:** create 'diffall', 'diffc' and 'diffw' Git aliases ([3f5e472](https://gitlab.com/RadianDevCore/tools/git-dct/commit/3f5e47259876e8086878090f64ba55bc1e2e0c3a))
- **diff:** add '--submodule=diff' to 'diffall' ([bfe0726](https://gitlab.com/RadianDevCore/tools/git-dct/commit/bfe07265484ffbe98fa790640e162786642fd6f1))
- **git-dct:** migrate project name to 'git-dct' ([e31a0d6](https://gitlab.com/RadianDevCore/tools/git-dct/commit/e31a0d67c0bdb02bbf1c4251bdb4148a6245cb3f))
- **log:** create 'lo' Git alias ([e3947ce](https://gitlab.com/RadianDevCore/tools/git-dct/commit/e3947ce71cde8e7643b301ed3082f61cf05d422e))
- **merge:** create 'mt' Git alias ([dec2b8d](https://gitlab.com/RadianDevCore/tools/git-dct/commit/dec2b8ddfc64098539730fecedf725b3862e7dab))
- **profiles, cli, setup:** initial 'aa', 'an' and 'ap' Git aliases ([e875b65](https://gitlab.com/RadianDevCore/tools/git-dct/commit/e875b65134ce5d4f2c54f7e981b3429a2a2094eb))
- **rebase:** create 'ra', 'rc', 're', 're' and 'rs' Git aliases ([646ee2c](https://gitlab.com/RadianDevCore/tools/git-dct/commit/646ee2c551911c6c33d520a87903efac4b21dc9c))
- **remote:** create 'rv' Git alias ([9a8e3be](https://gitlab.com/RadianDevCore/tools/git-dct/commit/9a8e3be7d48baa93dce744ffa7dc3c462362092e))
- **reset:** create 'rhf', 'rhh', 'ro' and 'rt' Git aliases ([c2770bb](https://gitlab.com/RadianDevCore/tools/git-dct/commit/c2770bb5f9e50c3b3efb633fd3da46032f185064))
- **show:** create 'shf' and 'shm' Git aliases ([9f82c42](https://gitlab.com/RadianDevCore/tools/git-dct/commit/9f82c42df22c22e55ff343af0bace038223d8adb))
- **stash:** create 's', 'sc', 'sp' and 'spop' Git aliases ([d069b34](https://gitlab.com/RadianDevCore/tools/git-dct/commit/d069b341ca0ede0d206b89bde4718f9b0b3ca315))
- **submodule:** create 'sm' and 'smi' Git aliases ([5941350](https://gitlab.com/RadianDevCore/tools/git-dct/commit/5941350554a21cbe45d8ecd40ddb9d70f06bf3cb))

### 🐛 Bug Fixes

- **entrypoint:** resolve Windows tests without 'Traversable' type ([652982f](https://gitlab.com/RadianDevCore/tools/git-dct/commit/652982fdae63859164e4e88971d3a1d0f059e4ca))
- **entrypoint:** inject 'include.path' without duplicating it ([1af1426](https://gitlab.com/RadianDevCore/tools/git-dct/commit/1af1426897961977ef97223f193b9058785e571e))

### 📚 Documentation

- **alias:** prepare initial Git aliases configuration simple dump ([d406f96](https://gitlab.com/RadianDevCore/tools/git-dct/commit/d406f962bcfd43e6efae7c7e61e159de7fc12c97))
- **prepare:** use 'mkdocs.yml' to get project name value ([0ae8420](https://gitlab.com/RadianDevCore/tools/git-dct/commit/0ae8420decdf829517dd0d0f2079b625508b480b))
- **readme:** refresh usage documentation for '--install' mode ([d8fc817](https://gitlab.com/RadianDevCore/tools/git-dct/commit/d8fc8175e93c7f49ec5531e7ed58fd3ad388a09f))

### 🧪 Test

- **arguments:** test 'git-development-cli-tools' without arguments ([3aa1d5f](https://gitlab.com/RadianDevCore/tools/git-dct/commit/3aa1d5f69640361862903004cc8a4bf3f4424a54))
- **entrypoint:** ignore built asset access coverage ([3812eb8](https://gitlab.com/RadianDevCore/tools/git-dct/commit/3812eb8a865d3c0611f38d943c1142438f9b3654))

### ⚙️ Cleanups

- **setup:** sort 'profiles/*/*' files before parsing them ([677fb6a](https://gitlab.com/RadianDevCore/tools/git-dct/commit/677fb6a75934eda9f99ae374c301505b40f31662))
- **setup:** add section headers and comments in 'alias.gitconfig' ([987f339](https://gitlab.com/RadianDevCore/tools/git-dct/commit/987f3390bb26c73e9e6c94a77372bee46ca6c117))
- **setup:** add tool header on autogenerated 'alias.gitconfig' ([204f4e3](https://gitlab.com/RadianDevCore/tools/git-dct/commit/204f4e3ea2c6c73e63347ef171b199fbfeb34ec2))
- **setup:** ensure assets are generated before packages with 'sdist' ([d9ecee0](https://gitlab.com/RadianDevCore/tools/git-dct/commit/d9ecee00070f147df2d6e1252565eb0ceefad17d))
- **setup:** refactor assets generation for both 'sdist' and 'build' ([758d327](https://gitlab.com/RadianDevCore/tools/git-dct/commit/758d32702efa8d627d9cd20de0fee6694b4ef23d))
- **setup:** add author, email, license and sources assets header ([27dca01](https://gitlab.com/RadianDevCore/tools/git-dct/commit/27dca01067cb70a74ec546f68776cbb5624642c9))
- **vscode:** add 'sidneys1.gitconfig' extension for '.gitconfig' ([5a0b202](https://gitlab.com/RadianDevCore/tools/git-dct/commit/5a0b202062f3353d17ac9349115e778ae728a136))

### 🚀 CI

- **gitlab-ci:** raise oldest Python test images from 3.8 to 3.9 ([077c273](https://gitlab.com/RadianDevCore/tools/git-dct/commit/077c2738664fd3e35e500976dd6db055e14893cd))
- **gitlab-ci:** prepare and cleanup assets in 'pages' job ([1731ae9](https://gitlab.com/RadianDevCore/tools/git-dct/commit/1731ae958ef9e353d6be94c27028ef85ba4d0c8e))
- **gitlab-ci:** bind 'wine python' to 'python3' for 'coverage:windows' ([81aa952](https://gitlab.com/RadianDevCore/tools/git-dct/commit/81aa9528685a43cbb42307376ce8e62174e2c27d))
- **gitlab-ci, setup:** generate assets for coverage tests too ([cebf180](https://gitlab.com/RadianDevCore/tools/git-dct/commit/cebf180a1626ca512c386101d939d7c4e1425c96))
- **gitlab-ci, setup:** refactor with 'assets {--prepare,--clean}' ([7a39511](https://gitlab.com/RadianDevCore/tools/git-dct/commit/7a3951182b308ce84ecccfb04921a9058c00af00))

### 📦 Build

- **containers:** install 'runtime' requirements in 'pages' image ([2192421](https://gitlab.com/RadianDevCore/tools/git-dct/commit/2192421177fb3e1a645fa0f01ec02482e7147733))


<a name="0.1.0"></a>
## [0.1.0](https://gitlab.com/RadianDevCore/tools/git-dct/commits/0.1.0) (2025-01-01)

### ✨ Features

- **git-development-cli-tools:** initial commit based on 'gcil' ([688d8da](https://gitlab.com/RadianDevCore/tools/git-dct/commit/688d8daded71c03292375a1600c44df4c35f139a))

### 📚 Documentation

- **git-development-cli-tools:** describe with 'for daily usage' ([6c72d21](https://gitlab.com/RadianDevCore/tools/git-dct/commit/6c72d21e6ed2cda9d71c22cc58511dd72f5691bb))

### 🚀 CI

- **gitlab-ci:** ensure 'pages' job does not block pipeline if manual ([ad84737](https://gitlab.com/RadianDevCore/tools/git-dct/commit/ad847374c582fee3d84a13609a4ae9f04e3a2845))
- **gitlab-ci:** change release title to include tag version ([adc64a8](https://gitlab.com/RadianDevCore/tools/git-dct/commit/adc64a87f412f579cc510c751e4fbf6b53e124f6))


